### org.jfree.layouting.input.style.parser.stylehandler

# Class OneOfConstantsReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

Known Direct Subclasses:
  AlignmentAdjustReadHandler, AlignmentBaselineReadHandler, BackgroundBreakReadHandler, BaselineShiftReadHandler, BlockProgressionReadHandler, BorderCollapseReadHandler, BorderStyleReadHandler, BoxSizingReadHandler, CaptionSideReadHandler, ClearAfterReadHandler, ClearReadHandler, ColumnSpaceDistributionReadHandler, ColumnWidthPolicyReadHandler, ContentReadHandler, DirectionReadHandler, DisplayModelReadHandler, DisplayRoleReadHandler, DominantBaselineReadHandler, DropInitialAfterAdjustReadHandler, DropInitialBeforeAdjustReadHandler, DropInitialValueReadHandler, EmptyCellsReadHandler, FitPositionReadHandler, FitReadHandler, FloatDisplaceReadHandler, FloatReadHandler, FloatTypeReadHandler, FontEffectReadHandler, FontEmphasizePositionReadHandler, FontEmphasizeStyleReadHandler, FontSizeReadHandler, FontSmoothReadHandler, FontStretchReadHandler, FontStyleReadHandler, FontVariantReadHandler, GlyphOrientationHorizontalReadHandler, GlyphOrientationVerticalReadHandler, HangingPunctuationReadHandler, HyphenateReadHandler, IndentEdgeResetReadHandler, InlineBoxAlignReadHandler, LineGridModeReadHandler, LineGridProgressionReadHandler, LineStackingRubyReadHandler, LineStackingShiftReadHandler, LineStackingStrategyReadHandler, ListStylePositionReadHandler, ListStyleTypeReadHandler, MoveToReadHandler, OverflowReadHandler, PageBreakInsideReadHandler, PageBreakReadHandler, PagePolicyReadHandler, PositionReadHandler, PunctuationTrimReadHandler, RenderingIntentReadHandler, StringSetReadHandler, TableLayoutReadHandler, TargetNameReadHandler, TargetNewReadHandler, TargetPositionReadHandler, TextAlignLastReadHandler, TextAlignReadHandler, TextBlinkReadHandler, TextCombineReadHandler, TextDecorationModeReadHandler, TextDecorationReadHandler, TextDecorationStyleReadHandler, TextHeightReadHandler, TextJustifyReadHandler, TextJustifyTrimReadHandler, TextOverflowModeReadHandler, TextTransformReadHandler, TextUnderlinePositionReadHandler, TextWrapReadHandler, UnicodeBidiReadHandler, VerticalAlignReadHandler, VisibilityReadHandler, WhitespaceCollapseReadHandler, WordBreakReadHandler, WordWrapReadHandler

`public abstract class OneOfConstantsReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Creation-Date: 26.11.2005, 19:16:43

Author:
  Thomas Morgner

  ## Constructor Summary

  `OneOfConstantsReadHandler(boolean auto)`

  ## Method Summary

  `protected void`

  `addValue(CSSConstant constant)`

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

  `boolean`

  `isAutoAllowed()`

  `protected CSSValue`

  `lookupValue(LexicalUnit value)`

## Constructor Details

### OneOfConstantsReadHandler

    protected OneOfConstantsReadHandler(boolean auto)

## Method Details

### addValue

    protected void addValue(CSSConstant constant)

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler

### isAutoAllowed

    public boolean isAutoAllowed()

### lookupValue

    protected CSSValue lookupValue(LexicalUnit value)